lp:ubuntu/lucid/upower

Created by James Westby on 2010-02-17 and last modified on 2010-03-05
Get this branch:
bzr branch lp:ubuntu/lucid/upower
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

4. By Martin Pitt on 2010-03-05

[ Martin Pitt ]
* New upstream release. Compared to our git snapshot, this just fixes the
  BSD backend to compile.
* debian/upower.postinst: Restart the daemon if we stopped it, so that
  clients don't suddenly stop getting signals.
* debian/control: Add udisks Conflicts/Replaces to devicekit-power, and
  an additional Conflicts: to libdevkit-gobject, so that devicekit-power
  gets properly cleaned up on upgrade.
* debian/upower.postinst: Migrate DeviceKit-power history on upgrade.
* Add debian/upower.postrm: Clean up /var/lib/upower on purge.
  (Closes: #571156)

[ Michael Biebl ]
* debian/control
  - Add dependency on dbus.
  - Make udev a linux-only dependency.
  - Add build dependency on libkvm-dev for kfreebsd-*.
  - Don't build depend on libgudev-1.0-dev for kfreebsd-*.
* Install udev rules files conditionally on linux only.
* debian/*.symbols
  - Bump symbol versions from previous git snapshot versions to 0.9.1.

3. By Martin Pitt on 2010-02-16

* New upstream git snapshot:
  - Fix pkgconfig file to link against the correct library.
  - Fix pkgconfig file and include directory to agree on the path for
    libupower-glib include files.
* debian/libupower-glib-dev.install: Update include path accordingly.

2. By Martin Pitt on 2010-02-16

Same version as the -1 upload to Debian experimental, but needs to clear NEW
still.

[ Martin Pitt ]
* New upstream release, and updating to current git head:
  - Rename the project, library, and D-Bus interface to upower.
  - Bug fixes.
  - Translation updates.
  - Set client library's can_{suspend,hibernate} properties to False if
    suspend/hibernate is prohibited through PolicyKit. (LP: #432598)
* Drop 01-lid-status-fallback.patch, 02-dkpclient-singleton.patch: Applied
  upstream.
* debian/rules, debian/control: Add an epoch to the transitional
  devicekit-power-doc package, so that the upgrade will actually work.
* debian/rules: Explicitly enable gtk-doc building, upstream configure
  disables that now.
* Build libdevkit-power-gobject{1,-dev} packages, but mark them as obsolete.
  These are still necessary, until upowerd is fully ported to the new
  libupower-glib.

[ Michael Biebl ]
* debian/upower.install: Only install upower and upowerd, not the
  transitional symlinks.
* debian/control: Bump Standards-Version to 3.8.4. No further changes.

1. By Martin Pitt on 2010-02-16

Import upstream version 0.9.0+git20100216.72bb2

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/maverick/upower
This branch contains Public information 
Everyone can see this information.

Subscribers